> This page is for version v2 (default).
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.agentverse.ai/v-2/llms.txt
> - v1: https://docs.agentverse.ai/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# List Agents

GET https://agentverse.ai/v2/agents

List all agents owned by the authenticated user.

Args:
    limit: Maximum number of agents to return (default: 100)
    offset: Number of agents to skip (default: 0)
    user: Authenticated user

Returns:
    List of agents owned by the user

Reference: https://docs.agentverse.ai/api-reference/agents/list-agents

## Request

### Query parameters

- `limit` (integer, optional, default: 30)
- `offset` (integer, optional, default: 0)

## Response

### 200

Successful Response

- `list of Agent`

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Agent

- `status` (enum, required) — Current operational status of the agent
  - Allowed values: `active`, `offline`, `local`
- `type` (enum, required) — Type/category of the agent
  - Allowed values: `uagent`, `a2a`, `hosted`, `mailbox`, `proxy`, `local`, `custom`
- `address` (string, required) — Unique blockchain address of the agent
- `endpoints` (list of AgentEndpoint, required) — List of agent's endpoints
- `protocols` (list of string, required) — Supported protocol identifiers
- `expiry` (string, required) — Expiration timestamp of the agent
- `domain_name` (string, optional) — Associated domain name, if available
- `metadata` (map from string to any, optional) — Additional arbitrary metadata

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### AgentEndpoint

- `url` (string, required)
- `weight` (integer, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
[
  {
    "address": "foo",
    "name": "",
    "handle": "foo",
    "redirect_url": "foo",
    "profile": {
      "description": "",
      "readme": "",
      "avatar_url": ""
    },
    "registered_at": "foo"
  }
]
```

**SDK Code**

```python listAgentsExample
import requests

url = "https://agentverse.ai/v2/agents"

response = requests.get(url)

print(response.json())
```

```javascript listAgentsExample
const url = 'https://agentverse.ai/v2/agents';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go listAgentsExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v2/agents"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby listAgentsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v2/agents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java listAgentsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v2/agents")
  .asString();
```

```php listAgentsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v2/agents');

echo $response->getBody();
```

```csharp listAgentsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v2/agents");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift listAgentsExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v2/agents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```